tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Yoav Shapira" <yoa...@MIT.EDU>
Subject RE: Servlet and JSP APIs in java repository
Date Tue, 21 Jun 2005 17:30:19 GMT
Hi,
Ahh.  Someone with karma to kakarta-servletapi-5 should probably update
that.  I don't have that karma ;)

Yoav Shapira
System Design and Management Fellow
MIT Sloan School of Management
Cambridge, MA
yoavs@computer.org / yoavsh@sloan.mit.edu


> -----Original Message-----
> From: Larry Isaacs [mailto:Larry.Isaacs@sas.com]
> Sent: Tuesday, June 21, 2005 1:15 PM
> To: Tomcat Developers List
> Subject: RE: Servlet and JSP APIs in java repository
> 
> Yoav,
> 
> I did a quick check of servlet-api.jar in Tomcat 5.5.9.  In its
> MANIFEST.MF, the "Implementation-Version" says "2.4.public_draft".
> Looks like the "implementation.revision" property in the build.xml
> files for both jsr152 and jsr154 still say "public_draft".
> 
> Larry
> 
> > -----Original Message-----
> > From: Yoav Shapira [mailto:yoavsh@MIT.EDU]
> > Sent: Tuesday, June 21, 2005 1:08 PM
> > To: 'Tomcat Developers List'
> > Cc: 'Maven Developers List'
> > Subject: RE: Servlet and JSP APIs in java repository
> >
> > Hi,
> >
> > > There's a lot of confusion about the servlet and jsp apis, many
> > > projects reference the servlet 2.4 while in Tomcat 5.5 the version
> > > included says 2.4.public_draft, so I really don't know if there's
> > > available a 2.4 "final" somewhere.
> >
> > The version that ships with Tomcat 5.5 and all but the very
> > first couple of Tomcat 5.0 releases is Servlet Specification
> > v2.4 final.  (And JSP Specification v2.0 final).
> >
> > When you say it "says 2.4.public_draft," what precisely do
> > you mean?  Is that the name of a file somewhere, a directory,
> > a CVS tag?
> >
> > > So this is a request for help, if you could tell us what
> > versions of
> > > servlet api exist since 2.3 and jsp apis, where to get them and the
> > > license (some Sun APIs can't be redistributed in the
> > repository), then
> > > I'll fix the repository.
> >
> > There was Servlet Spec 2.3 and JSP Spec 1.2, which go with
> > Tomcat 4.  Then there were a few Servlet Spec 2.4 PFD
> > (Proposed Final Draft) releases, but that's a long time ago.
> > Everything for the past year and several months has been
> > Servlet Spec 2.4 (final) and JSP Spec 2.0 (final).
> >
> > As far as CVS: while both these packages ship with Tomcat,
> > they have their own CVS area.  It's the jakarta-servletapi-5
> > CVS module, and under it you'll find directories for each
> > spec.  The binaries (they're actually jars, servlet-api.jar
> > and jsp-api.jar, respectively) in there are for Servlet Spec
> > 2.4 final and JSP Spec 2.0 final.
> >
> > I hope that clarifies things.  If not, please let us know how
> > else we can help.
> >
> > Yoav
> >
> >
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: tomcat-dev-unsubscribe@jakarta.apache.org
> For additional commands, e-mail: tomcat-dev-help@jakarta.apache.org



Mime
View raw message